function OnWarpEnter() 

	SetMarker("cs\\Warp_0027.wp" , 0 , 0)

	-- cuillère
	PutObject("aha1")
	-- pelle à farine
	PutObject("aia1")
	-- pétrin
	AnimationSetToStart("aga1",false)
	
----------------------------------------------------------------------------- puits
	-- corde en bon état
	AnimationSetToStart("cna1",true)
	AnimationSetToStart("coa1",false)



--DAY3
	if ETAT_DAY == "D3" then 
		if not BREAD_TAKEN_D3 then
			-- plateau à pain
			StartAnimationPart("aba1",2,3,-1,true)
			SetMarker("aba1",2,0)
		else
			-- plateau à pain
			AnimationSetToStart("aba1",false)
		end
	end 
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName) 
end

function OnAnimationFinished(animName)
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0027.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\zoomRecette" then 
		ShowDocument("RecetteCompote")
	end

--DAY3
	if ETAT_DAY == "D3" then 

		if objectName == "aba1" then
			if not BREAD_TAKEN_D3 then
				BREAD_TAKEN_D3 = true
				AnimationSetToStart("aba1",false)
				AddToBag("A_pain")
				AddToBag("A_pain")
				SetMarker("aba1",-1,0)
			end

		end
	end
end 